﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Workflow.Runtime;
using WFServiceLibrary1;

namespace WFDemo
{
  class Program
  {
    static void Main(string[] args)
    {
      using (WorkflowRuntime workflowRuntime = new WorkflowRuntime())
      {
        workflowRuntime.WorkflowCompleted += new EventHandler<WorkflowCompletedEventArgs>(workflowRuntime_WorkflowCompleted);

        Dictionary<string, object> parameters = new Dictionary<string, object>();

        parameters.Add("InputValue", 42);
        
        WorkflowInstance instance 
          = workflowRuntime.CreateWorkflow(typeof(Workflow1), parameters);
        instance.Start();
      }
    }

    static void workflowRuntime_WorkflowCompleted(object sender, WorkflowCompletedEventArgs e)
    {
      Console.WriteLine("OutputParameter:{0}", e.OutputParameters["MyInputParameter"].ToString());
    }
  }
}
